GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

REST APIs
    Orders
    Market Data
    Derivatives
    Margin Trading
    Staking
    Clearing
    Instant Orders
    Fund Management
      Get Available BalancesGet Notional BalancesList Deposit AddressesCreate New Deposit AddressList Past TransfersList Custody Fee TransfersWithdraw Crypto FundsGet Gas Fee EstimationAdd BankAdd Bank (CAD)List Payment MethodsList Approved AddressesCreate New Approved AddressRemove Approved AddressTransfer Between AccountsGet Transaction History
WebSocket
    AuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance Updates
    Playground
      Overviewconninfopingtimesubscribeunsubscribelist_subscriptionsdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
Agentic
FIX

Get Transaction History

TradingFund ManagementGet Transaction History

Get Transaction History

POSThttps://api.gemini.com/v1/transactions

Returns trade details and transactions for the account. Supports pagination via a continuation token. Historical data is only available for dates after August 1st, 2022.

Note

Due to current limitations, historical data can only be returned for dates after August 1st, 2022. Use continuation_token for pagination — do not use it together with timestamp_nanos.

POSTv1/transactions
curl --request POST \
  --url https://api.gemini.com/v1/transactions \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/transactions",
  "nonce": "<nonce>",
  "limit": 100
}
'

Roles

The API key you use to access this endpoint must have the Trader, Fund Manager, or Auditor role assigned, with master account scope. See Roles for more information.

The OAuth scope must have history:read assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/transactions"
nonceTimestampType | integer·required
timestampExample: 1495127793000
timestamp_nanosstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
limitinteger
The maximum number of transfers to return. The default is 100 and the maximum is 300.
continuation_tokenstring
For subsequent requests, use the returned `continuation_token` value for next page. If this is defined, do not define “timestamp_nanos”.
Example request body
{
  "request": "/v1/transactions",
  "nonce": "<nonce>",
  "timestamp_nanos": 1630382206000000000,
  "limit": 50,
  "continuation_token": "daccgrp_123421:n712621873886999872349872349:a71289723498273492374978424:m2:iForward"
}

Responses

The response will be an array of JSON objects, sorted by trade and transfer as well as a continuationToken to be used in subsequent requests.

resultsarray
Results will contain either a list of Trade or Transfer responses
Example Responses
{
  "results": [
    {
      "account": "primary",
      "amount": "0.001",
      "clientOrderId": "",
      "price": "1730.95",
      "timestampms": 1659201465069,
      "side": "SIDE_TYPE_BUY",
      "isAggressor": true,
      "feeAssetCode": "ETH",
      "feeAmount": "0.000000000000000605",
      "orderId": 73716687406755680,
      "exchange": "gemini",
      "isAuctionFill": false,
      "isClearingFill": false,
      "symbol": "ETHUSD",
      "tid": 144115199446910530,
      "type": "trade"
    },
    {
      "account": "primary",
      "amount": "0.001",
      "clientOrderId": "",
      "price": "1679.02",
      "timestampms": 1659201465222,
      "side": "SIDE_TYPE_SELL",
      "isAggressor": true,
      "feeAssetCode": "ETH",
      "feeAmount": "0.00000000000000000587",
      "orderId": 73716687406755680,
      "exchange": "gemini",
      "isAuctionFill": false,
      "isClearingFill": false,
      "symbol": "ETHUSD",
      "tid": 144115199446910500,
      "type": "trade"
    }
  ],
  "continuationToken": "daccgrp_1500611:n7126218738869976937315434496:a7126216029949884380085223424:m2:iForward"
}
PreviousTransfer Between Accounts
Last modified on May 5, 2026